Bug 1930015 - OS list is overlapped by buttons in template wizard
Summary: OS list is overlapped by buttons in template wizard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Aviv Turgeman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-18 07:59 UTC by Guohua Ouyang
Modified: 2021-07-27 22:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
incorrect z-index the footer block of buttons, caused to automation tests failures and for a part of screen to be unresponsive. By manually editing z-index of footer block, the problem solved.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:45:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
problem 1 (144.25 KB, image/png)
2021-02-18 07:59 UTC, Guohua Ouyang
no flags Details
problem 2 (147.21 KB, image/png)
2021-02-18 08:00 UTC, Guohua Ouyang
no flags Details
normal (148.83 KB, image/png)
2021-02-18 08:02 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8579 0 None closed Bug 1930015 - OS list is overlapped by buttons in template wizard 2021-04-08 15:42:14 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:47:27 UTC

Description Guohua Ouyang 2021-02-18 07:59:56 UTC
Created attachment 1757741 [details]
problem 1

Description of problem:
OS list is overlapped by buttons in template wizard, which cause some templates are not able to be selected.

Version-Release number of selected component (if applicable):
OCP 4.7 and Master

How reproducible:
100%

Steps to Reproduce:
1. Open template wizard and click OS field
2.
3.

Actual results:
OS list is overlapped by buttons or not able to show all of them.

Expected results:
All OS are able to be selected easily.

Additional info:

Comment 1 Guohua Ouyang 2021-02-18 08:00:54 UTC
Created attachment 1757742 [details]
problem 2

Comment 2 Guohua Ouyang 2021-02-18 08:02:00 UTC
Created attachment 1757744 [details]
normal

Comment 3 Yaacov Zamir 2021-02-18 12:02:37 UTC
set to blocker - because it ugly and need fixing, but not a blocker

Comment 4 Yaacov Zamir 2021-02-18 12:03:40 UTC
Note, we will fix in 4.8 first and then backport to 4.7.z

Comment 6 Guohua Ouyang 2021-04-02 02:49:37 UTC
It blocks test because the element is hiding under button "Next" which is not clickable.

Comment 7 Ying Cui 2021-04-06 05:49:29 UTC
(In reply to Guohua Ouyang from comment #6)
> It blocks test because the element is hiding under button "Next" which is
> not clickable.

we would like to escalate this bug as it blocks some automation test.

Comment 8 Yaacov Zamir 2021-04-06 06:13:53 UTC
moved priority to urgent, see comment#7

Comment 9 Yaacov Zamir 2021-04-11 08:36:13 UTC
merged upstream:
openshift/console/pull/8579

Comment 11 Guohua Ouyang 2021-04-13 02:06:09 UTC
verified on master

Comment 14 errata-xmlrpc 2021-07-27 22:45:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.